Bug 477021 - nrpe: please update to 2.12
nrpe: please update to 2.12
Product: Fedora
Classification: Fedora
Component: nrpe (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-18 12:57 EST by Jose Pedro Oliveira
Modified: 2008-12-21 10:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-21 03:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2008-12-18 12:57:46 EST
Description of problem:
The latest version of nrpe is 2.12.
Fedora only has version 2.7.

Version-Release number of selected component (if applicable):
nrpe-2.7-6.fc9.src.rpm (in F10 and rawhide repos)

Additional info:
Nagios Download page 

Changelog file:

2.12 - 03/10/2008
- Fix for unterminated multiline plugin (garbage) output (Krzysztof Oledzki)

2.11 - 12/26/2007
- Added lib64 library paths to configure script for 64-bit systems (John Maag)
- Added --with-ssl-lib configure script option
- Added --with-log-facility option to control syslog logging (Ryan Ordway and Brian Seklecki)

2.10 - 10/19/2007
- Moved PDF docs to docs/ subdirectory, added OpenOffice source document
- A critical result is now returned for child processed that die due to a signal (Klas Lindfors) 

2.9 - 08/13/2007
- Fixed bug with --with-nrpe-group configure script option (Graham Collinson)
- Fixed bug with check_disk thresholds in sample config file (Patric Wust)
  for scripts that need to detect NRPE version and capabilities (Gerhard Lausser)
- Added asprintf() support for systems that are missing it (Samba team)

2.8.1 - 05/10/2007
- Fixed configure script error with user-specified NRPE group

2.8 - 05/08/2007
- Added support for multiline plugin output (limited to 1KB at the moment) (Matthias Flacke)

2.8b1 - 03/14/2007
- Changes to sample config files
- Added ';' as an additional prohibited metachar for command arguments
- Updated documentation and added easier installation commands

2.7.1 - 03/08/2007
- Changed C++ style comment to C style to fix compilation errors on AIX (Ryan McGarry)

Comment 1 Jose Pedro Oliveira 2008-12-18 13:03:57 EST

Would it be possible to also add the virtual provides nagios-nrpe?

  Provides: nagios-nrpe 
Comment 2 Fedora Update System 2008-12-19 12:14:58 EST
nrpe-2.12-3.fc10 has been submitted as an update for Fedora 10.
Comment 3 Fedora Update System 2008-12-19 12:15:02 EST
nrpe-2.12-3.fc9 has been submitted as an update for Fedora 9.
Comment 4 Fedora Update System 2008-12-21 03:22:25 EST
nrpe-2.12-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-12-21 03:40:42 EST
nrpe-2.12-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jose Pedro Oliveira 2008-12-21 10:42:39 EST
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.